<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Banner".
 *
 * @property string $id
 * @property string|null $idCampana
 * @property string|null $idMedia
 * @property string|null $nombre
 * @property string|null $clave
 * @property string|null $tamano
 * @property string|null $descripcion
 * @property bool|null $activo
 * @property string|null $fechaInicio
 * @property string|null $fechaFin
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Campana $idCampana0
 * @property Media $idMedia0
 */
class Banner extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Banner';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['descripcion'], 'string'],
            [['activo'], 'boolean'],
            [['fechaInicio', 'fechaFin', 'creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idCampana', 'idMedia'], 'string', 'max' => 36],
            [['nombre', 'tamano','clave'], 'string', 'max' => 255],
            [['id'], 'unique'],
            [['idCampana'], 'exist', 'skipOnError' => true, 'targetClass' => Campana::class, 'targetAttribute' => ['idCampana' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idCampana' => 'Id Campana',
            'idMedia' => 'Id Media',
            'nombre' => 'Nombre',
            'tamano' => 'Tamano',
            'clave'=>'Clave',
            'descripcion' => 'Descripcion',
            'activo' => 'Activo',
            'fechaInicio' => 'Fecha Inicio',
            'fechaFin' => 'Fecha Fin',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    public function getCampana()
    {
        return $this->hasOne(Campana::class, ['id' => 'idCampana']);
    }

    public function getMedia()
    {
        return $this->hasOne(Media::class, ['id' => 'idMedia']);
    }
}
