<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Campana".
 *
 * @property string $id
 * @property string|null $idMedia
 * @property string|null $nombre
 * @property string|null $descripcion
 * @property bool|null $activo
 * @property string|null $fechaInicio
 * @property string|null $fechaFin
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Banner[] $banners
 * @property Media $idMedia0
 */
class Campana extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Campana';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['activo'], 'boolean'],
            [['fechaInicio', 'fechaFin', 'creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idMedia'], 'string', 'max' => 36],
            [['nombre'], 'string', 'max' => 255],
            [['descripcion'], 'string', 'max' => 550],
            [['id'], 'unique'],
            [['idMedia'], 'exist', 'skipOnError' => true, 'targetClass' => Media::class, 'targetAttribute' => ['idMedia' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idMedia' => 'Id Media',
            'nombre' => 'Nombre',
            'descripcion' => 'Descripcion',
            'activo' => 'Activo',
            'fechaInicio' => 'Fecha Inicio',
            'fechaFin' => 'Fecha Fin',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    public function getBanners()
    {
        return $this->hasMany(Banner::class, ['idCampana' => 'id']);
    }

    public function getMedia()
    {
        return $this->hasOne(Media::class, ['id' => 'idMedia']);
    }
}
