<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Permiso".
 *
 * @property string $id
 * @property string $nombre
 * @property string|null $idModulo
 * @property string|null $clave
 * @property string|null $descripcion
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Modulo $idModulo
 */
class ModuloPermiso extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Permiso';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id','nombre','clave'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idModulo'], 'string', 'max' => 36],
            [['nombre','descripcion','clave'], 'string', 'max' => 100],
            [['id'], 'unique'],
            [['idModulo'], 'exist', 'skipOnError' => true, 'targetClass' => Modulo::class, 'targetAttribute' => ['idModulo' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'idModulo' => 'Id Modulo',
            'clave' => 'Clave',
            'descripcion' => 'Descripcion',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    /**
     * Gets query for [[IdModulo]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getModulo()
    {
        return $this->hasOne(Modulo::class, ['id' => 'idModulo']);
    }
}
